PGABuildDatatype(4)

NAME
PGABuildDatatype - Build an MPI datatype for string p in population pop.

INPUT PARAMETERS
ctx - context variable
p   - index of an individual
pop - symbolic constant of the population

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
MPI_Datatype  PGABuildDatatype(ctx, p, pop)
PGAContext *ctx
int p
int pop

LOCATION
parallel.c

EXAMPLE
Example:
PGAContext *ctx;
int p;
MPI_Datatype dt;
:
dt = PGABuildDatatype(ctx, p, PGA_NEWPOP);